Bug 120585 - device /dev/dsp does not exist
Summary: device /dev/dsp does not exist
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: MAKEDEV   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-11 13:24 UTC by yvan turmel
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-15 18:22:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description yvan turmel 2004-04-11 13:24:08 UTC
Description of problem:pas de son avec ess1978 maestro sur 
dell latitude 500 cpx


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.systeme-config-sound
2.:dev/dsp no such device
3.
  
Actual results:


Expected results:


Additional info:
fonctionne sur fedora core 1 et 1.90

Comment 1 yvan turmel 2004-04-11 13:28:17 UTC
[root]# more /proc/modules | grep snd
snd_pcm_oss 42532 0 - Live 0x22a0e000
snd_pcm 82568 1 snd_pcm_oss, Live 0x22a28000
snd_page_alloc 8068 1 snd_pcm, Live 0x229a6000
snd_timer 25092 1 snd_pcm, Live 0x229dc000
snd_mixer_oss 13952 1 snd_pcm_oss, Live 0x229c1000
snd 43748 4 snd_pcm_oss,snd_pcm,snd_timer,snd_mixer_oss, Live 0x229d0000
soundcore 7520 1 snd, Live 0x229a3000

[root]# system-config-soundcard
amixer: Mixer attach default error: No such device
sox: Can't open output file '/dev/dsp': No such device
amixer: Mixer attach default error: No such device
 


Comment 2 Brent Fox 2004-04-13 21:47:32 UTC
I'm changing the component to MAKEDEV but that may not be the right
component.  I don't know why /dev/dsp wouldn't exist.

Comment 3 Nalin Dahyabhai 2004-04-15 07:51:10 UTC
IIRC "No such device" means that the device node is there, but there's
no device driver attached to it.  I don't see a hardware-specific
driver in the list of loaded modules (on my test system, both
snd_emu10k1 and snd_ac97_codec are also loaded).

Please attach the contents of /etc/modprobe.conf and
/etc/sysconfig/hwconf so that we can get a better idea of what's going
on and what's supposed to be going on.  Thanks!

Comment 4 yvan turmel 2004-04-15 18:15:53 UTC
more /etc/modprobe.conf
alias usb-controller uhci-hcd
alias snd-es1960 snd-es1968
alias sound-slot-0 snd-es1960
install snd-es1960 /sbin/modprobe --ignore-install snd-es1960 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-es1960 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-es1960

more hwconf
class: AUDIO
bus: PCI
detached: 0
driver: snd-es1960
desc: "ESS Technology|ES1978 Maestro 2E"
vendorId: 125d
deviceId: 1978
subVendorId: 1028
subDeviceId: 00aa
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  8
pcifn:  0
-

Comment 5 yvan turmel 2004-04-15 18:22:34 UTC
merci .
maintenant ca fonctionne.
j'ai d'abord supprimé dans hwconf class:AUDIO
puis dans modprobe.conf j'ai ajouté alias snd-es1960 snd-es1968

ensuite reboot
puis detection de kudzu
et ca marche ???.

probablement que lors de l'installation initial il y a eu une 
mauvaise detection.

a+
yvan


Note You need to log in before you can comment on or make changes to this bug.